جدیدترین اخبار وردپرس در سال ۲۰۲۰

زمان مطالعه: 8 دقیقه
2K بازدید
۴ خبر داغ در دنیای وردپرس
فهرست عناوین پنهان

اخبار وردپرس در سال ۲۰۲۰

سلام می کنم به همه ی همراهان عزیز در آژانس دیجیتال مارکتینگ راهِ دی اِم در این مقاله به بررسی جدیدترین اخبار وردپرس در سال ۲۰۲۰ می پردازیم.

در نظر داشته باشید که بررسی جدیدترین اخبار این پلتفرم برای افرادی که از این سیستم مدیریت محتوا (CMS) استفاده می کنند، مهم و حیاتی است. با اولین خبر از اخبار وردپرس در سال ۲۰۲۰ شروع می کنیم.

جدیدترین-اخبار-وردپرس-در-سال-2020

خبر اول: وردپرس در نسخه ۵.۴ ویژگی بارگذاری تنبل (lazy load)  را به همه تصاویر اضافه می کند!

کمپانی وردپرس اعلام کرد که وردپرس ۵.۴ ممکن است به طور پیش فرض دارای بارگذاری تنبل یا همان lazy load باشد.

این ویژگی کد HTML مربوط به لود تنبل را در تمام عکسهای وبسایت شما فعال می کند.

ناشران (استفاده کنندگان از وردپرس) وردپرس دیگر نیازی به استفاده از افزونه های جاوا اسکریپت یا حجم بالا، برای فعال کردن ویژگی بارگذاری تنبل تصاویر ندارند. ویژگی لود تنبل، باعث افزایش سرعت وب سایت می شود.

بارگذاری تنبل چیست؟

ویژگی HTML بارگذاری تنبل، به مرورگر می گوید که آیا قبل از بارگیری یک تصویر صبر کند یا بلافاصله آن را بارگذاری کند. برای تحقق این امر دیگر نیازی به کدهای سنگین جاوا اسکریپت و یا افزونه های دیگر نیست. البته این خبر، واکنش خاصی از سمت وبمستران را به دنبال نداشت؛ زیرا پیش تر این افزونه، تجربه کاربری خوبی را انتقال نمی داد. اما به هر حال لازم بود که در بخش اخبار وردپرس، ذکر شود.

سه نوع بارگذاری وجود دارد. اما فقط دو مورد‌اند که واقعاً مهم هستند:

  • بارگذاری تنبل
  • بار گذاری مشتاق(سریع)

Lazy load(بارگذاری تنبل)، که به صورت پیش فرض در وردپرس ۵.۴ فعال خواهد شد، این رفتار باعث می شود تا سرعت بارگذاری صفحات وب در سایتهای وردپرسی افزایش پیدا کند. اما، ویژگی “بارگذاری مشتاق” به مرورگر می گوید که بلافاصله تصویر را بارگذاری کند و به کاربران نشان دهد.

تاریخ انتشار وردپرس ۵.۴

وردپرس ۵.۴ در حال حاضر قرار است تا در ۳۱ مارس ۲۰۲۰ منتشر شود. بسته به میزان آمادگی نسخه برای انتشار، این تاریخ متغیر می باشد.

اما وردپرس تا به حال وردپرس به تمام وعده‌هایش سر موعود عمل کرده و انتظار میرود در این مورد هم خلف وعده نکند!!

مطابق اعلام وردپرس:

اجرای این برنامه می کوشد تا بارگذاری تنبل را به طور پیش فرض برای همه ی تصاویر موجود در یک وبسایت، فعال کند و ویژگی بارگذاری تنبل را در تگ های img به صورت زیر ارائه می دهد:

  • تصاویر در محتوای پست
  • تصاویر در گزیده های پست
  • تصاویر در نظرات
  • تصاویر در محتوای ابزارک متن
  • تصاویر مجزا از طریق wp_get_attachment_image ()
  • تصاویر آواتار از طریق get_avatar ()

شرط اجرای لود تنبل:

توجه داشته باشید که بارگذاری تنبل فقط در صورتی اضافه می شود که عکس های وبسایت شما ویژگی دیگری را اختیار نکرده باشند. به عبارت دیگر، برای جلوگیری از بارگذاری تنبل یک تصویر، توصیه می شود تا ویژگی بارگیری مشتاق را برای آن مشخص کنید. با توجه به گفته های کمپانی وردپرس، ویژگی بارگذاری تنبل به روشی اجرا می شود که حذف آن ها از روی تصاویر وبسایتتان آسان باشد.

این امر در شرایطی ضروری است که مرورگرهای آینده بدون نیاز به اضافه کردن این ویژگی از طریق کد نویسی، همه تصاویر را به صورت پیش فرض، تنبلانه بارگذاری کنند!

Google از طریق Web.dev اعلام کرده است که قصد دارد که ویژگی بارگذاری تنبل را به طور خودکار به هنگام استفاده از مرورگر در حالت Lite (که قبلاً با عنوان Data Saver شناخته شده بود) طراحی و اجرا کند.

تست درایو WordPress Lazy-Loading

از جدیدترین اخبار در سال ۲۰۲۰، تست افزونه بارگذاری تنبل یا همان lazy loading بود. تیم وردپرس رسما یک افزونه بارگذاری تنبل وردپرس را برای اهداف آزمایشی طراحی کرده است.

خبر دوم: آسیب پذیری افزونه Elementor

Elementor، صفحه ساز محبوب و معروف وردپرس است که برای رفع یک آسیب پذیری تأیید شده به نام XSS، به تازگی بروزرسانی شده است. این نوع آسیب پذیری به یک هکر اجازه میدهد تا یک اسکریپت را از سایت دیگری اجرا کند و کارهایی مانند سرقت اطلاعات ورود به سیستم را انجام دهد.

آسیب پذیری این افرونه از مهم ترین اخبار وردپرس در سال ۲۰۲۰ بود.

این آسیب پذیری مستلزم بارگذاری یک اسکریپت در سایت آسیب پذیر (به عنوان مثال از طریق جعبه جستجو) و ایجاد یک URL مشخص است که در صورت باز کردن آن، کد اسکریپتی اجرا می شود (که در یک سایت دیگر قرار دارد). سپس هکر لینکی را برای شخص ارسال می کند که به وسیله ِ آن می تواند اطلاعات ورود و اعتبار شخص مورد نظرش را به سرقت ببرد.

با توجه به آسیب پذیری پایگاه داده وردپرس، اثبات این موضوع تا ۱۲ فوریه مخفی شده بود تا زمان قرار دادن بروز رسانی جدید در اختیار کاربران، آن را بازگو کنند.

چه زمانی این نقص در رسان Add New Popup ها منتشر شد؟

شرکت امنیتی (Impenetrable.tech) که این آسیب پذیری را کشف کرده بود، نحوه کشف این نقص امنیتی را نیز بازگو کرده بود. هنگامی که این آسیب پذیری را کشف کردند با ناشران افزونه Elementor Page Builder تماس گرفتند و ناشران بلافاصله آن را به روز کردند.

البته پس از بروز رسانی جدید Elementor و برطرف کردن نقص موجود، سایت امنیتی گزارشی از آسیب پذیری را منتشر کرد.

جدیدترین-اخبار-وردپرس در سال 2020-در-مورد-آسیب-المنتور

این آسیب پذیری روی نسخه های ۲.۸.۴ و بالاتر تأثیر می گذارد.

توصیه می شود در صورت استفاده از افزونه Elementor Page Builder به وبسایت وردپرسی خود وارد شوید و ورژن صفحه ساز خود را به روز کنید.

جدیدترین نسخه Elementor Page Builder  ۲.۸.۵ است.

پس از ورود به حساب وردپرس خود، باید یک پیوند به روزرسانی در بالای صفحه (بخش مدیریت) وجود داشته باشد، یا می توانید برای مشاهده همه به روزرسانی های موجود، به صفحه بهروزرسانی های خود از پیوند موجود در نوار کناری مدیریت (ادمین) دسترسی پیدا کنید.

خبر سوم از اخبار وردپرس:  آسیب پذیری افزونه WPS Hide Login

سر تیتر اخبار وردپرس در دنیای وب، به این خبر تعلق داشت! افزونه محبوب امنیتی وردپرس، WPS Hide Login به دلیل داشتن آسیب پذیری زیر ذره بین وبمستران قرار گرفت.

این آسیب پذیری به محض کشف و گزارش، بلافاصله برطرف شد و خبر آن پس از رفع مشکل در رسانه ها منتشر شد.

وردپرس دلیل این بروزرسانی را به این شرح توصیف می کند:

آسیب پذیری در نسخه ۱.۵.۴.۲ و زیر آن ثابت می کند که این نقص می تواند به یک مهاجم اجازه دهد صفحه مخفی ورود به سیستم را پیدا کند و سپس دسترسی داشته باشد.

آسیب پذیری WPS Hide Login چیست؟

WPS Hide Login یک افزونه وردپرس است که یک صفحه ورود به سیستم را به صورت مخفی ایجاد می کند.

این امر مانع از حمله هکرها به صفحه ورود به سیستم یا حمله اتکرها (حمله کننده‌ها) از طریق حدس زدن رمز عبور می شود زیرا صفحه ورود مخفی است. این آسیب پذیری به هکر اجازه می دهد تا افزونه URL را برای صفحه پنهان نشان دهد. سپس یک هکر می تواند حمله را آغاز کند. نسخه های ۱.۵.۴.۲ و قدیمی‌تر تحت تأثیر این نقص قرار گرفته است.

این آسیب پذیری روی نسخه پلاگین ۱.۵.۴.۲ تأثیر می گذارد. از کلیه کاربران این افزونه خواسته شده است تا پلاگین خود را فوراً به نسخه ۱.۵.۵ به روز کنند.

چگونه این آسیب پذیری کشف شد؟

طبق جدیدترین اخبار وردپرس، یک ناشر فایروال تحت وب با نام NinTechNet، آسیب پذیری را در ۲۰ ژانویه سال ۲۰۲۰ کشف کرد. آن ها این مشکل را به توسعه دهندگان WPS Hide، ابلاغ کردند.

NinTechNet.com پس از به روزرسانی این افزونه، اخباری را از این کشف منتشر کرد.

جدیدترین-اخبار-وردپرس در سال 2020-در-مورد-wps-hide

WPS، یک مخفی کننده ورود به سیستم

هر افزونه وردپرس محتویات به روزرسانی های خود را از طریق یک گزارش رسمی به نام changelog منتشر می کند.

یک وبمستر می تواند فهرست بروز رسانی ها را از داشبورد وردپرس خود بررسی کند و تصمیم بگیرد که آیا انجام این بروزرسانی واجب است یا نه.

برخی از به روزرسانی ها می توانند یک سایت را بدتر خراب کنند، بنابراین برخی از ادمین های وبسایت، ممکن است تصمیم بگیرند که این بروزرسانی را انجام ندهند، مگر این که این امر برای سلامت وبسایت شان حیاتی و مهم باشد.

در حالت ایده آل، سازندگان نرم افزار باید حداقل خطا را داشته باشند تا به بروزرسانی های کمتری متوسل شوند.

مثلا انجام این بروزرسانی در این مورد خاص، بسیار مهم است زیرا این آسیب پذیری دقیقا توانایی WPS Hide Login را برای انجام کاری که قرار است انجام دهد به خطر می اندازد؛ صفحه ورود به سیستم را به جای مخفی کردن، به عالم و آدم نشان می دهد!

جدیترین-اخبار-وردپرس در سال 2020-و-آسیب-پذیری-افزونه-wpsh

خبر چهارم: آسیب پذیری از طریق تزریق کد به قالب Divi وردپرس

تم‌های Elegant اعلام کردند که بسیاری از محصولات آن ها دارای آسیب پذیری تزریق کد هستند و باید بلافاصله به روز شوند.

این آسیب پذیری به کاربر غیر مجاز، اجازه می دهد تا عملکرد کدهای PHP شما را مختل کند. این خبر به سرعت در مهم ترین وبسایت هایی که اخبار وردپرس را بارتاب می دهند، منتشر شد.

Divi یک قالب محبوب وردپرسی است که به طور گسترده در سراسر جهان مورد استفاده قرار می گیرد. پس بسیار مهم و حیاتی بود که ناشران این قالب، بلافاصله دو محصول Elegant themes خود را به روز کنند. در این اطلاعیه رسمی جزئیاتی از این آسیب پذیری در طی یک ممیزی روتین کشف و بیان شده است:

یک آسیب پذیری تزریق کد توسط تیم ما در طی یک مأموریت روتین کد کشف شد که می تواند به مشارکت کنندگان، نویسندگان و ویراستاران در قالب دیوی وارد شود تا مجموعه کوچکی از عملکرد کدهای PHP را تحت تاثیر مخرب شان قرار دهند. | تیم DIVI

لیست محصولاتی که در برابر این آسیب پذیری ضعف داشتند، به قرار زیر است:

سه محصول از قالب های این شرکت کشف شد که دارای یک نوع آسیب پذیری مشترک هستند. این محصولات قالب محبوب DivExtra و افزونه Divi Builder هستند.

در اخبار وردپرس از دلایل آسیب پذیری Divi ، Extra و Builder سخن گفته شد:

این آسیب پذیری یک نوع تزریق کد است که اجازه می دهد تا مشارکت کنندگانی که وارد سیستم شده اند، دسترسی به مجموعه محدودی از عملکرد کدهای PHP داشته باشند. برای مثال، نویسندگان یک سایت.به طور کلی، یک حمله تزریق کد به هکر اجازه می دهد تا دستوراتی را اجرا کند که در نتیجه می تواند وب سایت و بعضی اوقات حتی کل سرور را به خطر بیاندازد. این آسیب پذیری تزریق کد می تواند به کاربر مخرب اجازه دهد تا بدافزار را حتی در وب سایت شما نصب کند.

این آسیب پذیری کسانی را که در حال استفاده از نسخه ۳.۲۳ و بالاتر، ۲.۲۳ و بالاتر یا Divi Builder  ۲.۲۳ و بالاتر هستند را تحت تأثیر کدهای مخرب قرار دهد.

جدیدترین-اخبار-وردپرس در سال 2020-در-مورد-آسیب-پذیری-قالب-divi

چگونه می توان در برابر آسیب پذیری دیوی مقاوم شد؟

طبق جدیدترین اخبار وردپرس در سال ۲۰۲۰، بروزرسانی به آخرین نسخه های افزونه Divi ، Extra و Divi Builder (نسخه های ۴.۰.۱۰) شما را از این آسیب پذیری محافظت می کند. اگرچه این آسیب پذیری ممکن است روی عملکرد کاربرانی که نقش مشارکت کنندگان، نویسندگان و ویرایشگرها را دارند تأثیر بگذارد؛

اما توصیه ما این است که اگر از قالب Divi استفاده می کیند، آن را به روز کنید تا خیال تان از هر جهت راحت شود؛ زیرا اشکالات متعددی در این باره وجود دارد.

امیدوارم از این مقاله خبری لذت کافی را برده باشید. اگر نظری در رابطه با این اخبارهای جدید وردپرس در سال ۲۰۲۰ دارید لطفا با ما و دیگر علاقمندان به اشتراک بگذارید.

۴ دیدگاه. دیدگاه تازه ای بنویسید

  • از المنتور بعید بود که همچین آسیب پذیری ای ازش پیدا بشه ! دستتون درد نکنه که اخبار به این مهمی رو منتشر میکنید

    پاسخ
  • با اینکه lasy load سرعت سایت رو بالا میبره، کم شدن سرعت بارگذاری تصویر رو چطوری جبران می کنه که نمره منفی نداشته باشه؟ ممنون می شم پایخ بدین.

    پاسخ
    • سلام خانم آیدا محمدی
      سپاس از حسن توجه و لطف شما
      خوبی لیزی لود اینه که شما زمانیکه از این قابلیت استفاده میکنید در ابتدا قسمت بالایی صفحه رو دانلود میکنه مرورگر و در صورتی که کاربر اسکرول کنه بقیه محتواها رو دانلود میکنه و همین باعث میشه سرعت لود سایت سریع باشه که تاثیر بسیار زیادی در بهینه سازی به خصوص در شرایط فعلی که سرعت موضوع مهمی شده محسوب میشه
      با آرزوی موفقیت برای شما

      پاسخ

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

این فیلد را پر کنید
این فیلد را پر کنید
لطفاً یک نشانی ایمیل معتبر بنویسید.
شما برای ادامه باید با شرایط موافقت کنید

اشتراک گذاری مقاله

با اشتراک گذاری مقاله هم به دوستانتان لطف کردید هم به ما 🙂

جدید ترین مقالات دیجیتال مارکتینگ

دوره های رایگان دیجیتال مارکتینگ

مقاله
نظرات
اشتراک گذاری
فهرست